Subject: Re: bug#5749: 24.0.50; Gomoku startup latency

From: Stefan Monnier <[email-masked]>
Date: Wed, 24 Mar 2010 13:27:26 -0400

>>> This is due to a behavioral change of `append-to-buffer', which used
>>> to preserve the point when the first argument coincides with the
>>> current buffer.
>> This change doesn't seem to be documented in NEWS, was it intentional?
> I suspect this was done as part of Stefan's mass conversion of code to
> with-current-buffer.

Indeed.  Note that the new behavior happens to be more correct w.r.t its
docstring:

   It is inserted into that buffer before its point.

so it promises to move point in the specified buffer.  At first
I thought we should fix append-to-buffer to behave as it used to, but
now I'm wondering whether we should fix the uses instead.

        Stefan